LibreOffice LibreOffice 5.3 SDK API Reference

Included Services | Exported Interfaces | List of all members
ListBox Service Referencepublished

describes a list box control which can (but not necessarily has to) be bound to a database field. More...

`import"ListBox.idl";`

Inheritance diagram for ListBox:

## Included Services
service | com::sun::star::awt::UnoControlListBox
Included Services inherited from UnoControlListBox
service | com::sun::star::awt::UnoControl

## Exported Interfaces
interface | com::sun::star::form::XBoundControl
interface | com::sun::star::form::XChangeBroadcaster
| allows broadcasts of HTML-compatible change events. More...
Exported Interfaces inherited from UnoControlListBox
interface | com::sun::star::awt::XListBox
interface | com::sun::star::awt::XLayoutConstrains
interface | com::sun::star::awt::XTextLayoutConstrains
Exported Interfaces inherited from UnoControl
interface | com::sun::star::lang::XComponent
interface | com::sun::star::awt::XControl
interface | com::sun::star::awt::XWindow
interface | com::sun::star::awt::XView
interface | com::sun::star::accessibility::XAccessible
| provides access to the accessible context associated with this object. More...

## Additional Inherited Members
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XControl
void | setContext ([in] com::sun::star::uno::XInterface Context)
| sets the context of the control. More...
com::sun::star::uno::XInterface | getContext ()
| gets the context of the control. More...
void | createPeer ([in] com::sun::star::awt::XToolkit Toolkit, [in] com::sun::star::awt::XWindowPeer Parent)
| creates a "child" window on the screen. More...
com::sun::star::awt::XWindowPeer | getPeer ()
| returns the peer which was previously created or set. More...
boolean | setModel ([in] com::sun::star::awt::XControlModel Model)
| sets a model for the control. More...
com::sun::star::awt::XControlModel | getModel ()
| returns the model for this control. More...
com::sun::star::awt::XView | getView ()
| returns the view of this control. More...
void | setDesignMode ([in] boolean bOn)
| sets the design mode for use in a design editor. More...
boolean | isDesignMode ()
| returns `TRUE` if the control is in design mode, `FALSE` otherwise. More...
boolean | isTransparent ()
| returns `TRUE` if the control is transparent, `FALSE` otherwise. More...
Public Member Functions inherited from XWindow
void | setPosSize ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] short Flags)
| sets the outer bounds of the window. More...
com::sun::star::awt::Rectangle | getPosSize ()
| returns the outer bounds of the window. More...
void | setVisible ([in] boolean Visible)
| shows or hides the window depending on the parameter. More...
void | setEnable ([in] boolean Enable)
| enables or disables the window depending on the parameter. More...
void | setFocus ()
| sets the focus to the window. More...
void | addWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| adds a window listener to the object. More...
void | removeWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| removes the specified window listener from the listener list. More...
void | addFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| adds a focus listener to the object. More...
void | removeFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| removes the specified focus listener from the listener list. More...
void | addKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| adds a key listener to the object. More...
void | removeKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| removes the specified key listener from the listener list. More...
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| adds a mouse listener to the object. More...
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| removes the specified mouse listener from the listener list. More...
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| adds a mouse motion listener to the object. More...
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| removes the specified mouse motion listener from the listener list. More...
void | addPaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| adds a paint listener to the object. More...
void | removePaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| removes the specified paint listener from the listener list. More...
Public Member Functions inherited from XView
boolean | setGraphics ([in] com::sun::star::awt::XGraphics aDevice)
| sets the output device. More...
com::sun::star::awt::XGraphics | getGraphics ()
| returns the output device which was set using the method XView::setGraphics(). More...
com::sun::star::awt::Size | getSize ()
| returns the size of the object in device units. More...
void | draw ([in] long nX, [in] long nY)
| draws the object at the specified position. More...
void | setZoom ([in] float fZoomX, [in] float fZoomY)
| sets the zoom factor. More...
Public Member Functions inherited from XListBox
void | addItemListener ([in] com::sun::star::awt::XItemListener l)
| registers a listener for item events. More...
void | removeItemListener ([in] com::sun::star::awt::XItemListener l)
| unregisters a listener for item events. More...
void | addActionListener ([in] com::sun::star::awt::XActionListener l)
| registers a listener for action events. More...
void | removeActionListener ([in] com::sun::star::awt::XActionListener l)
| unregisters a listener for action events. More...
void | addItem ([in] string aItem, [in] short nPos)
| adds an item at the specified position. More...
void | addItems ([in] sequence< string > aItems, [in] short nPos)
| adds multiple items at the specified position. More...
void | removeItems ([in] short nPos, [in] short nCount)
| removes a number of items at the specified position. More...
short | getItemCount ()
| returns the number of items in the listbox. More...
string | getItem ([in] short nPos)
| returns the item at the specified position. More...
sequence< string > | getItems ()
| returns all items of the list box. More...
short | getSelectedItemPos ()
| returns the position of the currently selected item. More...
sequence< short > | getSelectedItemsPos ()
| returns the positions of all currently selected items. More...
string | getSelectedItem ()
| returns the currently selected item. More...
sequence< string > | getSelectedItems ()
| returns all currently selected items. More...
void | selectItemPos ([in] short nPos, [in] boolean bSelect)
| selects/deselects the item at the specified position. More...
void | selectItemsPos ([in] sequence< short > aPositions, [in] boolean bSelect)
| selects/deselects multiple items at the specified positions. More...
void | selectItem ([in] string aItem, [in] boolean bSelect)
| selects/deselects the specified item. More...
boolean | isMutipleMode ()
| returns `TRUE` if multiple items can be selected, `FALSE` if only one item can be selected. More...
void | setMultipleMode ([in] boolean bMulti)
| determines if only a single item or multiple items can be selected. More...
short | getDropDownLineCount ()
| returns the number of visible lines in drop down mode. More...
void | setDropDownLineCount ([in] short nLines)
| sets the number of visible lines for drop down mode. More...
void | makeVisible ([in] short nEntry)
| makes the item at the specified position visible by scrolling. More...
Public Member Functions inherited from XLayoutConstrains
com::sun::star::awt::Size | getMinimumSize ()
| returns the minimum size for this component. More...
com::sun::star::awt::Size | getPreferredSize ()
| returns the preferred size for this component. More...
com::sun::star::awt::Size | calcAdjustedSize ([in] com::sun::star::awt::Size aNewSize)
| calculates the adjusted size for a given maximum size. More...
Public Member Functions inherited from XTextLayoutConstrains
com::sun::star::awt::Size | getMinimumSize ([in] short nCols, [in] short nLines)
| returns the minimum size for a given number of columns and lines. More...
void | getColumnsAndLines ([out] short nCols, [out] short nLines)
| returns the ideal number of columns and lines for displaying this text. More...
Public Member Functions inherited from XBoundControl
boolean | getLock ()
| determines whether the input is currently locked or not. More...
void | setLock ([in] boolean bLock)
| is used for altering the current lock state of the component. More...
Public Member Functions inherited from XChangeBroadcaster
void | addChangeListener ([in] com::sun::star::form::XChangeListener aListener)
| adds the specified listener to receive the "changed" event. More...
void | removeChangeListener ([in] com::sun::star::form::XChangeListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object. More...

## Detailed Description

describes a list box control which can (but not necessarily has to) be bound to a database field.

The model of the control has to support the com::sun::star::form::component::ListBox service.

See also
  com::sun::star::awt::UnoControl
  com::sun::star::awt::UnoControlModel

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlListBox

service com::sun::star::awt::UnoControlListBox

## Exported Interfaces

## ◆ com::sun::star::form::XBoundControl

interface com::sun::star::form::XBoundControl

## ◆ com::sun::star::form::XChangeBroadcaster

interface com::sun::star::form::XChangeBroadcaster

allows broadcasts of HTML-compatible change events.

HTML-compatible means that a change event is broadcasted if and only if all of the following applies.

- the control loses the focus
- the content of the control has changed, compared to the moment where it got the focus.

The documentation for this service was generated from the following file:

- com/sun/star/form/control/ListBox.idl